package com.bored.services.events 
{
	import flash.events.Event;
	
	/**
	 * These events encompass all the global UI events dispatched from the BoredServices.
	 * 
	 * @author bored.com
	 */
	public class UIEvent extends Event
	{
		/**
		 * @eventType MainUIHiddenEvent
		 */
		public static const MAIN_UI_HIDDEN_EVENT:String = "MainUIHiddenEvent";
		
		/**
		 * @eventType MainUIShownEvent
		 */
		public static const MAIN_UI_SHOWN_EVENT:String = "MainUIShownEvent";
		
		/**
		 * @inheritDoc flash.events.Event#Event()
		 */
		public function UIEvent(type:String, bubbles:Boolean = false, cancelable:Boolean = false) 
		{
			super(type, bubbles, cancelable);
			
		}//end UIEvent constructor.
		
		/**
		 * @inheritDoc flash.events.Event#clone()
		 */
		override public function clone():Event 
		{
			return new UIEvent(this.type, this.bubbles, this.cancelable);
			
		}//end clone()
		
	}//end class UIEvent

}//end package com.bored.services.events
