package com.bored.services.tools.uds 
{
	import flash.events.Event;
	
	/**
	 * This is a helper-event fired from the helper-class, UniversalDataStorageObject to notify that the client-side data is dirty.
	 * 
	 * @author bored.com
	 * @see com.bored.services.tools.uds.UniversalDataStorageObject
	 */
	public class DataUpdatedEvent extends Event
	{
		/**
		 * @eventType UDSSyncEvent
		 */
		public static const UDS_SYNC_EVENT:String = "UDSSyncEvent";
		
		/**
		 * @eventType UDSServerUpdateEvent
		 */
		public static const UDS_SERVER_UPDATE_EVENT:String = "UDSServerUpdateEvent";
		
		public var key:String, oldVal:*, newVal:*;
		
		/**
		 * @inheritDoc flash.events.Event#Event()
		 */
		public function DataUpdatedEvent(type:String, key:String, oldVal:*, newVal:*, bubbles:Boolean = false, cancelable:Boolean = false) 
		{
			super(type, bubbles, cancelable);
			
			this.key = key;
			this.oldVal = oldVal;
			this.newVal = newVal;
			
		}//end DataUpdatedEvent constructor.
		
		/**
		 * @inheritDoc flash.events.Event#clone()
		 */
		override public function clone():Event 
		{
			return new DataUpdatedEvent(this.type, key, oldVal, newVal, this.bubbles, this.cancelable);
			
		}//end clone()
		
	}//end class DataUpdatedEvent

}//end package com.bored.services.tools.uds
